I use python code creat a series of polyline in one plane. But some polylines overlap, I want to the code check if these polylines overlap, which is a part of my overall goal.
I try to use some Rhino function, like Rhino.Geometry.Curve.CreateBooleanIntersection and Rhino.Geometry.Intersect.Intersection.CruveCurve, but failed. The polylines don’t seem to be cruves. I don’t understand the basic concepts very well. Can we do this with Rhino fuction?
I would appreciate it if you could give me some advice.
RhinoCommon polylines are not curves, they are just ordered collections of points. You can convert them into curve geometry by using something like
pl_curve=Rhino.Geometry.PolylineCurve(polyline)
You can then use the resulting curves to check for intersections, etc.
1 Like
Thank you very much for your help. It solved my problem!!!